using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Microsoft.Win32;

namespace TailleFen
{
 public partial class Form1 : Form
 {
  public Form1()
  {
   InitializeComponent();
  }

  private void Form1_Load(object sender, EventArgs e)
  {
   RegistryKey rkcu = Registry.CurrentUser;
   RegistryKey rk = rkcu.OpenSubKey(@"Software\Eyrolles\Leblanc\Config\Registry", true);
   if (rk != null)
   {
    int W, H, X, Y;
    try
    {
     X = Convert.ToInt32(rk.GetValue("X"));
     Y = Convert.ToInt32(rk.GetValue("Y"));
     W = Convert.ToInt32(rk.GetValue("W"));
     H = Convert.ToInt32(rk.GetValue("H"));
     Location = new Point(X, Y);
     Size = new Size(W, H);
     this.StartPosition = FormStartPosition.Manual;
    }
    catch (Exception) { }
   }
  }

  private void Form1_FormClosed(object sender, FormClosedEventArgs e)
  {
   RegistryKey rkcu = Registry.CurrentUser;
   RegistryKey rk = rkcu.CreateSubKey(@"Software\Eyrolles\Leblanc\Config\Registry");
   rk.SetValue("X", this.Location.X);
   rk.SetValue("Y", this.Location.Y);
   rk.SetValue("W", this.Width);
   rk.SetValue("H", this.Height);
   rk.Flush(); rk.Close();
  }
 }
}